package com.njzscloud.common.sn.contant;

import com.njzscloud.common.core.ienum.DictStr;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 字典代码：rollback_mode
 * 字典名称：自增段回滚模式
 */
@Getter
@RequiredArgsConstructor
public enum RollbackMode implements DictStr {
    Wu("Wu", "不回卷"),
    Ri("Ri", "每日"),
    Zhou("Zhou", "每周"),
    Yue("Yue", "每月"),
    Nian("Nian", "每年"),
    Pi("Pi", "每批");

    private final String val;

    private final String txt;
}    
